Interrupt Avatar Speech
POST
https://api.konpro.ai/v1/streaming/interruptSend a request to immediately halt the current speech of an Interactive Avatar within an active streaming session. If the avatar is not speaking at the time, the interrupt command will have no effect.
Request History
Log in to see full request history
| TIME | STATUS | USER AGENT |
|---|---|---|
| Make a request to see history. | ||
0 Requests This Month
Request Body Parameters
| Parameter | Type | Description |
|---|---|---|
| session_id | string | Unique identifier of the session to interrupt |
Response
Returns the status of the interrupt request, indicating success or error.
cURL Request
shell
curl --request POST \
--url https://api.konpro.ai/v1/streaming/interrupt \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-api-key: <your-api-key>' \
--data '{
"session_id": "session_id"
}'LANGUAGE
CREDENTIALS
HEADER
RESPONSE
Examples
Choose an example:
application/json
200 - Success
400 - Bad Request
LANGUAGE
CREDENTIALS
HEADER
RESPONSE
Examples
Choose an example:
application/json
200 - Success
400 - Bad Request